(***********************************************************************)
(*                                                                     *)
(*            cast objet en O'Caml                                     *)
(*                                                                     *)
(*            Emmanuel Chailloux, Equipe PPS, universite P7            *)
(*                                                                     *)
(*                                                                     *)
(***********************************************************************)

(* $Id: cast.mli,v 1.2 2001/09/06 14:52:54 emmanuel Exp $ *)


type id = unit -> unit
exception Cast_failure of string * int * int


val create_id : 'a -> id
val string_of_id : id -> string
val typeof : int * int -> < ___check_id : id -> bool; .. > -> id -> bool
val instanceof : int * int -> < ___check_instanceof_id : id -> bool; .. > -> id -> bool
val subinstanceof : int * int -> < ___check_subinstanceof_id : id -> bool; .. > -> id -> bool
val subclass : int * int -> < ___check_subclass : id -> id -> bool; .. > -> id -> id -> bool

